//-----------------------------------------------------------------
// I-O Assignments.h - Created Fred Foscalina
// These are the I/O assignments
//-----------------------------------------------------------------
//
//$Modtime: 2/14/14 2:18p $
//$Revision: 4 $
//$Author: Fredf $ 
//$Modified for PT8 2op Machine, Roman 10/20/2011


#ifndef __I_O_ASSIGNMENTS_H__	// don't allow multiple loads
#define __I_O_ASSIGNMENTS_H__

#include "I-O Signal Assignments.h"


// ******************************************
// Inputs
// ******************************************

// Tool Changer inputs
//#define inToolChangerCounter		I32_0	// -> (NONE) MP1_B0 -> M7101
#define inToolChangerIsFront	IDC24_5	// -> M5 (Note: "ATC FRONT")
#define inToolChangerIsBack  	IDC24_6	// -> M6 (Note: "ATC BACK")
//#define inToolChangerHome			I32_6	// -> (NONE) MP1_B6 -> M7107
//#define inToolChangerOverload		I35_5	// -> (NONE) MP1_B29-> M7130
//#define inToolChangerSensor		I33_4	// -> (NONE) MP1_B12-> M7113

// Tool Clamp inputs
#define inToolClampLimit		IDC24_3	// -> M3
#define inToolUnclampLimit		IDC24_4	// -> M4
#define inToolClampButton       IDC24_7	// -> M7

// 4th Axis inputs
#define in4thClampLimit			I34_1	// -> (NONE) MP1_B0 -> M7101
#define in4thUnclampLimit			I34_1	// -> (NONE) MP1_B0 -> M7101
//#define in4thOTPos				I37_0	// -> (NONE) MP1_B0 -> M7101
//#define in4thOTNeg				I37_1	// -> (NONE) MP1_B0 -> M7101
//#define in4thHome					I33_3	// -> (NONE) MP1_B0 -> M7101

// Spindle inputs
#define inSpindleForwardKey		IDC24_11 // -> M11 (Note: "ON KEY")
#define inSpindleReverseKey		IDC24_12 // -> M12 (Note: "AUX KEY")
#define inSpindleOffKey			IDC24_10 // -> M10 (Note: "OFF KEY")
#define inSpindleFault			FAULT_4  // -> M423 (Note: "FAULT_4)
#define inSpindleAgree			IDC5_20	 // -> M69
#define inSpindleTemperatureOK	I37_3	 // -> (NONE) MP1_B0 -> M7101

// Misc key inputs
#define inGoKey					IDC24_9 // -> M9
#define inStopKey				IDC24_8	// -> M8
#define inEStopButtonOut    	IDC24_0	// -> M0

#define inAuxKey				inSpindleReverseKey

// Axis Limit switch inputs
#define inXPosLimit				HOME_1	//	PLIM_1	// -> (NONE) MP1_B0 -> M7101
#define inYPosLimit				HOME_2	//	PLIM_2	// -> (NONE) MP1_B0 -> M7101
#define inZPosLimit				HOME_3	//	PLIM_3	// -> (NONE) MP1_B0 -> M7101
//#define inXNegLimit				MLIM_1	// -> (NONE) MP1_B0 -> M7101
//#define inYNegLimit				MLIM_2	// -> (NONE) MP1_B0 -> M7101
//#define inZNegLimit				MLIM_3	// -> (NONE) MP1_B0 -> M7101
//
//#define inPosLimit4				PLIM_4	// -> (NONE) MP1_B0 -> M7101
//#define inPosLimit5				PLIM_5	// -> (NONE) MP1_B0 -> M7101
//#define inPosLimit6				PLIM_6	// -> (NONE) MP1_B0 -> M7101
//#define inPosLimit7				PLIM_7	// -> (NONE) MP1_B0 -> M7101
//#define inPosLimit8				PLIM_8	// -> (NONE) MP1_B0 -> M7101
//
//#define inNegLimit4				MLIM_4	// -> (NONE) MP1_B0 -> M7101
//#define inNegLimit5				MLIM_5	// -> (NONE) MP1_B0 -> M7101
//#define inNegLimit6				MLIM_6	// -> (NONE) MP1_B0 -> M7101
//#define inNegLimit7				MLIM_7	// -> (NONE) MP1_B0 -> M7101
//#define inNegLimit8				MLIM_8	// -> (NONE) MP1_B0 -> M7101
//
// Motor Ports Home Inputs
#define inHome1					HOME_1  //IDC24-21	-> M120 (X-axis Home)
#define inHome2					HOME_2	//IDC24-22  -> M220 (Y-axis Home)
#define inHome3					HOME_3	//IDC24-23  -> M320 (Z-axis Home)
//#define inHome4					HOME_4	// -> (NONE) MP1_B0 -> M7101
//#define inHome5					HOME_5	// -> (NONE) MP1_B0 -> M7101
//#define inHome6					HOME_6	// -> (NONE) MP1_B0 -> M7101
//#define inHome7					HOME_7	// -> (NONE) MP1_B0 -> M7101
//#define inHome8					HOME_8	// -> (NONE) MP1_B0 -> M7101

// Motor Ports Amplifier Faults Inputs
#define inServoFault1			FAULT_1	// -> M143 (X-axis Fault)
#define inServoFault2			FAULT_2	// -> M243 (Y-axis Fault)
#define inServoFault3			FAULT_3	// -> M343 (Z-axis Fault)
#define inServoFault4			FAULT_4	// -> M443 (Spindle Fault)

//#define inServoFault6				FAULT_6	// -> (NONE) MP1_B0 -> M7101
//#define inServoFault7				FAULT_7	// -> (NONE) MP1_B0 -> M7101
//#define inServoFault8				FAULT_8	// -> (NONE) MP1_B0 -> M7101
//
//// Motor Port Flag Inputs
//#define inUserFlag1				USER_1	// -> (NONE)
//#define inUserFlag2				USER_2	// -> (NONE)
//#define inUserFlag3				USER_3	// -> (NONE)
//#define inUserFlag4				USER_4	// -> (NONE)
//#define inUserFlag5				USER_5	// -> (NONE)
//#define inUserFlag6				USER_6	// -> (NONE)
//#define inUserFlag7				USER_7	// -> (NONE)
//#define inUserFlag8				USER_8	// -> (NONE)
//
//#define inFlagW1					FLAG_W1	// -> (NONE)
//#define inFlagW2					FLAG_W2	// -> (NONE)
//#define inFlagW3					FLAG_W3	// -> (NONE)
//#define inFlagW4					FLAG_W4	// -> (NONE)
//#define inFlagW5					FLAG_W5	// -> (NONE)
//#define inFlagW6					FLAG_W6	// -> (NONE)
//#define inFlagW7					FLAG_W7	// -> (NONE)
//#define inFlagW8					FLAG_W8	// -> (NONE)
//
//#define inFlagV1					FLAG_V1	// -> (NONE)
//#define inFlagV2					FLAG_V2	// -> (NONE)
//#define inFlagV3					FLAG_V3	// -> (NONE)
//#define inFlagV4					FLAG_V4	// -> (NONE)
//#define inFlagV5					FLAG_V5	// -> (NONE)
//#define inFlagV6					FLAG_V6	// -> (NONE)
//#define inFlagV7					FLAG_V7	// -> (NONE)
//#define inFlagV8					FLAG_V8	// -> (NONE)
//
//#define inFlagU1					FLAG_U1	// -> (NONE)
//#define inFlagU2					FLAG_U2	// -> (NONE)
//#define inFlagU3					FLAG_U3	// -> (NONE)
//#define inFlagU4					FLAG_U4	// -> (NONE)
//#define inFlagU5					FLAG_U5	// -> (NONE)
//#define inFlagU6					FLAG_U6	// -> (NONE)
//#define inFlagU7					FLAG_U7	// -> (NONE)
//#define inFlagU8					FLAG_U8	// -> (NONE)
//
//#define inFlagT1					FLAG_T1	// -> (NONE)
//#define inFlagT2					FLAG_T2	// -> (NONE)
//#define inFlagT3					FLAG_T3	// -> (NONE)
//#define inFlagT4					FLAG_T4	// -> (NONE)
//#define inFlagT5					FLAG_T5	// -> (NONE)
//#define inFlagT6					FLAG_T6	// -> (NONE)
//#define inFlagT7					FLAG_T7	// -> (NONE)
//#define inFlagT8					FLAG_T8	// -> (NONE)


// Misc inputs
#define inDoorClosed			IDC24_1 // -> M1
#define inLubeLevelFull			I36_5   // -> (NONE) 
//#define inLubePressureLow			I35_0   // -> (NONE)
#define inAirPressureOK			IDC24_2 // -> M2
//#define inConveyorOverload		I36_4   // -> (NONE)
//#define inCoolantOverload			I35_4   // -> (NONE)
//#define inWashOverload			I36_0   // -> (NONE)
//#define inIndexerFinish			I39_4   // -> (NONE)
#define inSWITester				I39_7   // -> (NONE)

#define inSpareOV				IDC24_13 // -> M13
#define in24VDCPower			IDC24_14 // -> M14
#define inServosOn				IDC24_15 // -> M15
#define inSpare2				IDC24_16 // -> M65
#define inSpare3				IDC24_17 // -> M66
#define inSpare4				IDC24_18 // -> M67
#define inSpare5				IDC24_19 // -> M68

#define inMachineIDBit0			I5V_24  // -> M50
#define inMachineIDBit1			I5V_25  // -> M51
#define inMachineIDBit2			I5V_26  // -> M52
#define inMachineIDBit3			I5V_27  // -> M53
#define inMachineIDBit4			I5V_28  // -> M54
#define inMachineIDBit5			I5V_29  // -> M55
#define inMachineIDBit6			I5V_30  // -> M56
#define inMachineIDBit7			I5V_31  // -> M57



// ******************************************
// Outputs
// ******************************************

// Tool Clamp outputs
#define outToolUnclamp          ODC5_03  // : Actual I/O -> M19
#define outToolAirBlast			Q40_1  // -> (NONE)

// Lights
#define outAlarmRed				Q40_2  // -> (NONE)
#define outAlarmYellow			Q40_3  // -> (NONE)
#define outAlarmGreen           ODC5_02  // : Actual I/O -> M18
//#define outWorkLightOFF			Q41_1  // -> (NONE)

// Misc outputs
#define outAirBlast				Q40_5  // -> (NONE)
#define outDoorUnlock           ODC5_05  // : Actual I/O -> M21
#define outLubePump             ODC5_14  // : Actual I/O -> M30
#define outCoolant         		ODC5_13  // : Actual I/O -> M29
#define outWashCoolant			Q41_3  // -> (NONE)
#define out4thUnclamp 			Q42_7  // -> (NONE)

// Chip conveyor outputs
#define outConveyorCW				Q41_5  // -> (NONE)
#define outConveyorCCW			Q41_6  // -> (NONE)

// Tool changer outputs
//#define outToolChangerCW			Q42_0  // -> (NONE)
//#define outToolChangerCCW			Q42_1  // -> (NONE)
#define outToolChangerBack  	ODC5_00  // : Actual I/O -> M16 (NOTE: ATAC BACK)
#define outToolChangerFront     ODC5_01  // : Actual I/O -> M17 (NOTE: ATC FRONT)

// System outputs
#define outOTOveride				Q43_0  // -> (NONE)
#define outNCReady             	ODC5_16  // : Actual I/O -> M40

// Spindle outputs
#define outSpindleForward		ODC5_08  // -> Q43_2 -> MP6_B26 -> M7327 : Actual I/O -> M24
#define outSpindleReverse		ODC5_09  // : Actual I/O -> M25
#define outSpindleOrient		ODC5_10  // : Actual I/O -> M26
#define outSpindleReset			ODC5_11  // : Actual I/O -> M27
#define outSpindle2ndAccelDecel	ODC5_12  // : Actual I/O -> M28

// Misc outputs
//#define outIndexerStart			Q43_4  // -> (NONE)
#define outSpare1				ODC5_04 // : Actual I/O -> M20
#define outSpare2				ODC5_06 // : Actual I/O -> M22
#define outSpare3				ODC5_07 // : Actual I/O -> M23

#endif